Bug 215236 - [exp-run] security/libgcrypt: Update to 1.7.5
Summary: [exp-run] security/libgcrypt: Update to 1.7.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-12-11 23:38 UTC by Carlos J. Puga Medina
Modified: 2016-12-24 00:10 UTC (History)
4 users (show)

See Also:
cpm: exp-run?
cpm: merge-quarterly+


Attachments
patch-libgcrypt-1.7.4 (3.59 KB, patch)
2016-12-11 23:38 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff
patch-libgcrypt-1.7.4 (3.22 KB, patch)
2016-12-12 09:44 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff
patch-libgcrypt-1.7.5 (3.23 KB, patch)
2016-12-16 05:36 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-12-11 23:38:56 UTC
Created attachment 177892 [details]
patch-libgcrypt-1.7.4

security/libgcrypt: Update to 1.7.4

- Update to 1.7.4
- Remove files useless to install from DOCS
- Patch renamed is only needed for sparc arch
- Bump library version in pkg-plist

Changelog:
   https://lists.gnupg.org/pipermail/gnupg-announce/2016q3/000395.html
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-12-11 23:55:14 UTC
The changelog corresponds to the previous libgcrypt-1.7.3 release.

I noticed that it hasn't yet been announced in the gnupg-announce mailing list. So I'll post it here when the new changelog becomes available.
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-12-12 01:08:37 UTC
Noteworthy changes in version 1.7.4 (2016-12-09)
------------------------------------------------

 * Performance:

   - More ARMv8/AArch32 improvements for AES, GCM, SHA-256, and SHA-1.

   - Add ARMv8/AArch32 assembly implementation for Twofish and
     Camellia.

   - Add bulk processing implementation for ARMv8/AArch32.

   - Add Stribog OIDs.

   - Improve the DRBG performance and sync the code with the Linux
     version.

 * Internal changes:

   - When secure memory is requested by the MPI functions or by
     gcry_xmalloc_secure, they do not anymore lead to a fatal error if
     the secure memory pool is used up.  Instead new pools are
     allocated as needed.  These new pools are not protected against
     being swapped out (mlock can't be used).  However, these days
     this is considered a minor issue and can easily be mitigated by
     using encrypted swap space.

 * Bug fixes:

   - Fix GOST 28147 CryptoPro-B S-box.

   - Fix error code handling of mlock calls.
Comment 3 Antoine Brodin freebsd_committer 2016-12-12 06:36:46 UTC
sparc ARCH is not supported by FreeBSD (only sparc64) so something is probably wrong
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-12-12 09:44:07 UTC
Created attachment 177908 [details]
patch-libgcrypt-1.7.4

Remove patch since sparc is not supported on FreeBSD.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-12-12 09:46:40 UTC
(In reply to Antoine Brodin from comment #3)

Thanks Antoine :)
Comment 6 Antoine Brodin freebsd_committer 2016-12-12 10:11:45 UTC
maybe the patch is needed on sparc64?
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-12-12 10:16:39 UTC
(In reply to Antoine Brodin from comment #6)

It seems that it's only needed for sparc v8 arch.
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-12-16 05:36:54 UTC
Created attachment 178005 [details]
patch-libgcrypt-1.7.5

libgcrypt-1.7.5 has been released

Noteworthy changes in version 1.7.5 (2016-12-15)
------------------------------------------------

 * Bug fixes:

   - Fix regression in mlock detection introduced with 1.7.4 [bug#2870].


https://lists.gnupg.org/pipermail/gnupg-announce/2016q4/000399.html
Comment 9 Antoine Brodin freebsd_committer 2016-12-19 21:01:35 UTC
Exp-run looks fine.
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-12-20 23:19:22 UTC
(In reply to Antoine Brodin from comment #9)

Thank you very much, Antoine.

Waiting for mentor approval to commit the update.
Comment 11 Dmitry Marakasov freebsd_committer 2016-12-22 17:20:39 UTC
Approved
Comment 12 commit-hook freebsd_committer 2016-12-23 15:45:14 UTC
A commit references this bug:

Author: cpm
Date: Fri Dec 23 15:45:01 UTC 2016
New revision: 429273
URL: https://svnweb.freebsd.org/changeset/ports/429273

Log:
  security/libgcrypt: Update to 1.7.5

  - Update to 1.7.5
  - Remove files useless to install from DOCS
  - Remove patch since sparc v8 is not supported on FreeBSD
  - Bump library version in pkg-plist

  Changelog:
    https://lists.gnupg.org/pipermail/gnupg-announce/2016q4/000399.html

  PR:		215236
  Approved by:	amdmi3 (mentor)
  MFH:		2016Q4
  Exp-run by:	antoine

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/files/
  head/security/libgcrypt/pkg-plist
Comment 13 Carlos J. Puga Medina freebsd_committer 2016-12-23 15:47:40 UTC
Committed, thanks!
Comment 14 commit-hook freebsd_committer 2016-12-24 00:03:14 UTC
A commit references this bug:

Author: cpm
Date: Sat Dec 24 00:02:12 UTC 2016
New revision: 429295
URL: https://svnweb.freebsd.org/changeset/ports/429295

Log:
  MFH: r429273

  security/libgcrypt: Update to 1.7.5

  - Update to 1.7.5
  - Remove files useless to install from DOCS
  - Remove patch since sparc v8 is not supported on FreeBSD
  - Bump library version in pkg-plist

  Changelog:
    https://lists.gnupg.org/pipermail/gnupg-announce/2016q4/000399.html

  PR:		215236
  Approved by:	amdmi3 (mentor)
  Exp-run by:	antoine

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/security/libgcrypt/Makefile
  branches/2016Q4/security/libgcrypt/distinfo
  branches/2016Q4/security/libgcrypt/files/
  branches/2016Q4/security/libgcrypt/pkg-plist